Package: grails.artefact

## [Groovy] Trait DomainClass

- grails.artefact.DomainClass

- A trait implemented by all domain classes

  Authors:
    Jeff Brown
    Graeme Rocher
  Since:
    3.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static java.util.Map<java.lang.String, Constrained>` | `getConstrainedProperties()` @return The constrained properties for this domain class

- - ### Method Detail

    - #### static java.util.Map<java.lang.String, Constrained> getConstrainedProperties()

      Returns:
        The constrained properties for this domain class